# This file created by conda-build 3.0.27
# meta.yaml template originally from:
# /var/lib/jenkins/workspace/conda/caffe2/normal, last modified Sun Aug 19 18:48:11 2018
# ------------------------------------------------

package:
    name: caffe2-cuda8.0-cudnn7
    version: 0.8.dev
source:
    path: /var/lib/jenkins/workspace
build:
    number: '0'
    script_env:
        - CAFFE2_CMAKE_ARGS
        - PACKAGE_CUDA_LIBS
        - CUDA_VERSION
    string: py27_2018.08.19
requirements:
    build:
        - sqlite 3.24.0 h84994c4_0
        - harfbuzz 1.7.6 h5f0a787_1
        - mkl 2018.0.3 1
        - glog 0.3.5 hf484d3e_1
        - expat 2.2.5 he0dffb1_0
        - intel-openmp 2018.0.3 0
        - setuptools 40.0.0 py27_0
        - freetype 2.8 hab7d2ae_1
        - graphite2 1.3.11 h16798f4_2
        - pyyaml 3.13 py27h14c3975_0
        - cmake 3.12.0 h307fef2_0
        - python 2.7.15 h1571d57_0
        - rhash 1.3.6 hb7f436b_0
        - libcurl 7.61.0 h1ad7b7a_0
        - libxcb 1.13 h1bed415_1
        - libgcc-ng 8.2.0 hdf63c60_1
        - jpeg 9b h024ee3a_2
        - pixman 0.34.0 hceecf20_3
        - blas 1.0 mkl
        - ffmpeg 3.4 h7985aa0_0
        - libgfortran-ng 7.2.0 hdf63c60_3
        - numpy 1.14.5 py27h1b885b7_4
        - pip 10.0.1 py27_0
        - freeglut 3.0.0 hf484d3e_5
        - libssh2 1.8.0 h9cfc8f7_4
        - ca-certificates 2018.03.07 0
        - cairo 1.14.12 h7636065_2
        - mkl-include 2018.0.3 1
        - mkl_random 1.0.1 py27h4414c95_1
        - zlib 1.2.11 ha838bed_2
        - xz 5.2.4 h14c3975_4
        - libxml2 2.9.8 h26e45fe_1
        - bzip2 1.0.6 h14c3975_5
        - libglu 9.0.0 hf484d3e_1
        - tk 8.6.7 hc745277_3
        - hdf5 1.10.1 h9caa474_1
        - libvpx 1.7.0 h439df22_0
        - libedit 3.1.20170329 h6b74fdf_2
        - mkl_fft 1.0.4 py27h4414c95_1
        - libpng 1.6.34 hb9fc6fc_0
        - ncurses 6.1 hf484d3e_0
        - pcre 8.42 h439df22_0
        - readline 7.0 ha6073c6_4
        - certifi 2018.8.13 py27_0
        - yaml 0.1.7 had09818_2
        - wheel 0.31.1 py27_0
        - glib 2.56.1 h000015b_0
        - future 0.16.0 py27_1
        - libffi 3.2.1 hd88cf55_4
        - icu 58.2 h9c2bf20_1
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - typing 3.6.4 py27_0
        - six 1.11.0 py27_1
        - openssl 1.0.2p h14c3975_0
        - libtiff 4.0.9 he85c1e1_1
        - jasper 2.0.14 h07fcdf6_1
        - gflags 2.2.1 hf484d3e_0
        - opencv 3.3.1 py27h61133dd_2
        - numpy-base 1.14.5 py27hdbf6ddf_4
        - libopus 1.2.1 hb9ed12e_0
        - libprotobuf 3.5.2 h6f1eeef_0
        - fontconfig 2.12.6 h49f89f6_0
    run:
        - mkl >=2018
        - gflags
        - opencv <3.4
        - protobuf
        - six
        - glog
        - numpy >=1.14,<1.15.0a0
        - future
        - python >=2.7,<2.8.0a0
        - gflags >=2.2.1,<2.3.0a0
        - setuptools
        - typing
        - mkl-include
        - opencv >=3.3.1,<3.3.2.0a0
        - glog >=0.3.5,<0.3.6.0a0
test:
    imports:
        - caffe2.python.core
about:
    home: https://caffe2.ai/
    license: BSD 3-Clause
    license_family: BSD
    license_file: LICENSE
    summary: Caffe2 is a lightweight, modular, and scalable deep learning framework.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - pjh5
